/*
 * $Id: ExceptionUtils.java,v 1.1 2006/01/23 02:47:06 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2006 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.util;

import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * 例外処理用のユーティリティ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class ExceptionUtils {
	/**
	 * コンストラクタ．
	 */
	private ExceptionUtils() {
	}
	/**
	 * スタックトレースを文字列に変換する．
	 * @param e 例外オブジェクト
	 * @return 文字列化されたスタックトレース
	 */
	public static final String stackTraceToString(Exception e) {
		StringWriter sw = new StringWriter();
		PrintWriter pw = new PrintWriter(sw);

		e.printStackTrace(pw);

		return sw.getBuffer().toString();
	}
}
